PDA

Visualizza la versione completa : [suse 10.1] Installare Apache2 da YaST2


replika82
27-05-2006, 13:25
Ciao a tutti, sono nuovo di Linux e devo ad installare Apache, PHP, Mysql, Tomcat, etc...
Ho provato ad installare per prima cosa Apache, da YaST2, ho inserito il DVD di installazione SUSE e ho selezionato i moduli di Apache2.

A installazione completata accedo a YAST2 ---> servizi di rete ---> server http e avvio apache dal modulo di yast, ma mi da un errore:

"l'interfaccia NIL non Ŕ allocata ad alcuna zona del firewall,
aprire il modulo Firewall di YaST e provvedere manualmente"

Non so come configurare il firewall... spero qualcuno possa aiutarmi a risolvere il prblema.
Grazie.

sacarde
27-05-2006, 14:04
secondo me hai sbagliato qualche impostazione in yast

come fonte usa o i CD/DVD o la rete: ppp se hai modem, eth0 se hai ADSL



http://en.opensuse.org/YaST


http://it.opensuse.org/Benvenuto_su_openSUSE.org

replika82
27-05-2006, 21:49
NovitÓ.
In effetti dopo aver segnalato l'errore, la configurazione del server apache veniva salvata e digitando localhost sul browser tutto sta funzionando.
Anche le pagine php vanno, ho fatto un a prova.

Il discorso Ŕ che quest'errore non pregiudica il funzionamento ma vorrei capire che significa.
Un'altra cosa, per avviare e stoppare il server ora faccio tutto da yast, ma a volerlo fare da riga di comando (i comandi li so) da che directory li devo lanciare?

PerchŔ ho provato i vari apachectl start/stop ma la bash da sempre errore: comando non valido.
Devo lanciarli da dentro la directory di apache?
Boh, non ho trovato niente in internet, ne sul firewall ne su questa cosa, la fanno tutti molto facile (perche in effetti lo sarebbe) ma non 'Ŕ verso di avviarlo da riga di comando.

sacarde
27-05-2006, 22:03
l'avvio corretto e' o dalla mappa grafica dei servizi nel centro di controllo yast

o avviando lo script httpd che dovresti trovare in /etc/init.d o /etc/rc.d

andrea_pikkio
07-06-2006, 16:44
Ragazzi, a me oltre a quell'errore dice anche "Impossibile adattare il servizio Apache2" ed il server non parte. Come posso fare?

--RISOLTO-- Mi mancava una libreria!

Loading